Subject: large input strings

From: Peter van Oosterom <[email-masked]>
Date: Fri, 20 Mar 92 16:31:19 MET

Dear Postgres group,

We have a problem with large attributes (but with an internal representation
smaller than 8Kb). The string that is used in an append (or in a 'copy' file)
is not accepted. In case of the copy-variant the error message is:

WARN:Mar 20 16:18:01:CopyReadAttribute - attribute length too long

This is probably caused by the fact that the ASCII (external) representation
is larger (than 8Kb). Given the fact that tuples sizes are limited to 8Kb,
this "external representation"-problem, limits the use for larger objects
even further. Could this drawback be solved?

Kind regards, Peter van Oosterom.